{% extends 'base.html.twig' %}
{% block title %}Log in!{% endblock %}
{% block Header %}{% endblock %}

{% block body %}
 <div class="corps">
    <div class="presentation">
        <div class="iconAccueil">
        <img src="{{ asset('build/pana.png') }}"  >
        </div>
        <div class="TextPresentation">
            <p>Bienvenue sur Le blog des génies. Un blog ou vous parler de sujet de ce que vous voulez dans le respect des règles.</p>
        </div>
    </div>
    <div class="connexion">
        <div class="form">
            <form method="post">
                {% if error %}
                    <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                {% endif %}

                {% if app.user %}
                    <div class="mb-3">
                        You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                    </div>
                {% endif %}

                <h1 class="h3 mb-3 font-weight-normal">Connectez-vous</h1>
                <div class="sign">
                    <div class="username">
                        <label for="inputUsername">Pseudo</label>
                        <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" autocomplete="username" required autofocus>
                    </div>
                    <div class="password">
                        <label for="inputPassword">Mot de passe</label>
                        <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
                    </div>
                    <input type="hidden" name="_csrf_token"
                        value="{{ csrf_token('authenticate') }}"
                    >


                    <button class="button" type="submit">
                        Connexion
                    </button>

                </div>
            </form>

            <button class="button" onclick="window.location.href = '{{ path('app_register')}}';">
                            S'inscrire
                       </button>
        </div>
    </div>
</div>
{% endblock %}
